=head1 NAME

B<rnetboot> - Cause the range of nodes to boot to network.

=head1 SYNOPSIS

B<rnetboot> [B<-V>|B<--verbose>] [B<-s> I<boot_device_order>] [B<-F>] [B<-f>] I<noderange> [B<-m> I<table.column>==I<expectedstatus> [B<-m> I<table.col-umn>=~I<expectedstatus>]] [B<-t> I<timeout>] [B<-r> I<retrycount>]

B<rnetboot> [B<-h>|B<--help>] [B<-v>|B<--version>]

=head2 zVM specific:

B<rnetboot> I<noderange> [B<ipl=> I<address>]


=head1 DESCRIPTION

The rnetboot command will do what is necessary to make each type of node in the given noderange
boot from the network.  This is usually used to boot the nodes stateless or to network install
system p nodes.

=head1 OPTIONS

B<-s>

Set the boot device order.  Accepted boot devices are hd and net.

B<-F>

Force reboot the system no matter what state the node is.  By default, rnetboot will not reboot the node if node is in 'boot' state.

B<-f>

Force immediate shutdown of the partition.

B<-m>

Use one or multiple -m flags to specify the node attributes and the expected status for the node installation monitoring and automatic retry mechanism. The operators ==, !=, =~ and !~ are valid. This flag must be used with -t flag.

Note: if the "val" fields includes spaces or any other characters that will be parsed by shell, the "attr<oper-ator>val" needs to be quoted. If the operator is "!~", the "attr<operator>val" needs to be quoted using single quote.

B<-r>

specify the number of retries that the monitoring process will perform before declaring the failure. The default value is 3. Setting the retrycount to 0 means only monitoring the os installation progress and will not re-initiate the installation if the node status has not been changed to the expected value after timeout. This flag must be used with -m flag.

B<-t>

Specify the timeout, in minutes, to wait for the expectedstatus specified by -m flag. This is a required flag if the -m flag is specified.

B<-V|--verbose>

Verbose output.

B<-h|--help>

Display usage message.

B<-v|--version>

Command Version.


=head1 RETURN VALUE

0 The command completed successfully.

1 An error has occurred.


=head1 EXAMPLES

 rnetboot 1,3

 rnetboot 14-56,70-203

 rnetboot 1,3,14-56,70-203

 rnetboot all,-129-256

 rnetboot all -s hd,net

 rnetboot all ipl=00c


=head1 SEE ALSO

L<nodeset(8)|nodeset.8>
